## glances 1.7.3

=== requirements.txt ===
psutil==1.2.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Glances.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Glances.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Glances"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Glances"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## glances 1.5.1

=== debian/changelog ===
glances (1.5.1-1) unstable; urgency=low

  * Fixed watch file
  * Imported Upstream version 1.5.1
  * Drop override_dh_install, filename fixed upstream
  * Cherry-picked patch to fix HMTL,CVS output
  * Fixed default HTML template location
    Use shell wrapper instead of symbolic link.

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sun, 11 Nov 2012 12:05:38 +0100

glances (1.4.2.1-1) unstable; urgency=low

  * Imported Upstream version 1.4.2.1
  * Removed man page patch (fixed upstream)
  * Bumped Standards-Version to 3.9.4.0

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sun, 23 Sep 2012 11:45:01 +0200

glances (1.4.1.1-1) unstable; urgency=low

  * Initial package (closes: #654888).

 -- Geoffroy Youri Berret <efrim@azylum.org>  Mon, 17 Sep 2012 17:27:25 +0200

=== debian/control ===
Source: glances
Section: utils
Priority: extra
Maintainer: Geoffroy Youri Berret <efrim@azylum.org>
Build-Depends: python-setuptools (>= 0.6), python, debhelper (>= 9)
Standards-Version: 3.9.4.0
X-Python-Version: >= 2.6
Vcs-Git: git://git.kaliko.me/glances.git
Vcs-browser: http://git.kaliko.me/?p=glances.git
Homepage: http://nicolargo.github.com/glances/

Package: glances
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-psutil (>=0.4.1)
Recommends: python-jinja2 (>=2.0)
Description: CLI curses based monitoring tool
 Glances is a CLI curses based monitoring tool for GNU/Linux or BSD OS.
 Glances uses the PsUtil library to get information from your system.
 .
 It monitors CPU, load, memory, network bandwidth, disk I/O, disk use, process.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
		dh $@ --with python2

# Packaging doc src.: http://wiki.debian.org/Python/Packaging
override_dh_auto_install:
	python setup.py install --root=debian/glances --install-layout=deb --install-lib=/usr/share/glances

override_dh_auto_build:

override_dh_clean:
	rm -rf ./Glances.egg-info
	dh_clean

override_dh_fixperms:
	dh_fixperms -X/usr/share/glances/glances/glances.py
	# TODO: how to keep glances.py executable :/
	#       dh_fixperms exclusion seems not to be the way
	chmod a+x debian/glances/usr/share/glances/glances/glances.py

override_dh_installdocs:
	dh_installdocs
	rm -f  debian/glances/usr/share/doc/glances/COPYING
	rm -f  debian/glances/usr/share/doc/glances/AUTHORS
	rm -f  debian/glances/usr/share/doc/glances/README-fr
	rm -f  debian/glances/usr/share/doc/glances/screenshot.png
	rm -rf debian/glances/usr/share/doc/glances/doc/

## glances 1.6

=== debian/changelog ===
glances (1.6-1) unstable; urgency=low

  * Imported Upstream version 1.6
  * Removed useless install files
  * Dropped patches included upstream
  * New conf file in /etc/glances/glances.conf

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sun, 27 Jan 2013 18:43:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -27,6 +27,7 @@
 	dh_installdocs
 	rm -f  debian/glances/usr/share/doc/glances/COPYING
 	rm -f  debian/glances/usr/share/doc/glances/AUTHORS
-	rm -f  debian/glances/usr/share/doc/glances/README-fr
 	rm -f  debian/glances/usr/share/doc/glances/screenshot.png
 	rm -rf debian/glances/usr/share/doc/glances/doc/
+	rm -rf debian/glances/usr/share/doc/glances/glances.conf
+	rm -rf debian/glances/usr/etc

## glances 1.7.3

=== debian/changelog ===
glances (1.7.3-2ubuntu1) trusty; urgency=medium

  * Fixed executable issue (LP: #1275579)
  * Add missing dependency python-pkg-resources (Closes: #742291)

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sat, 22 Mar 2014 19:17:15 +0100

glances (1.7.3-2) unstable; urgency=medium

  * Overriding test (closes: #733168)

 -- Geoffroy Youri Berret <efrim@azylum.org>  Sat, 28 Dec 2013 20:16:02 +0100

glances (1.7.3-1) unstable; urgency=low

  * Add init scrip to start Glances server
  * Imported Upstream version 1.7.3 (closes: #729393)
  * Depends on python-psutil >= 1.1.0
  * Build depends on python-psutil
  * Fixed files location with latest release
  * dh-python conversion
  * Bumped Standards-Version to 3.9.5.0 (no changes)

 -- Geoffroy Youri Berret <efrim@azylum.org>  Fri, 01 Nov 2013 16:01:03 +0100

=== debian/control ===
Source: glances
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Geoffroy Youri Berret <efrim@azylum.org>
Build-Depends: debhelper (>= 9), python, python-setuptools (>= 0.6), dh-python,
               python-psutil (>=1.1.0)
Standards-Version: 3.9.5.0
X-Python-Version: >= 2.6
Vcs-Git: git://git.kaliko.me/glances.git
Vcs-browser: http://git.kaliko.me/?p=glances.git
Homepage: http://nicolargo.github.com/glances/

Package: glances
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
    python-psutil (>=1.1.0),
    python-pkg-resources,
    adduser,
    lsb-base
Recommends: python-jinja2 (>=2.0)
Description: CLI curses based monitoring tool
 Glances is a CLI curses based monitoring tool for GNU/Linux or BSD OS.
 Glances uses the PsUtil library to get information from your system.
 .
 It monitors CPU, load, memory, network bandwidth, disk I/O, disk use, process.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_clean:
	rm -rf ./Glances.egg-info
	dh_clean

# Overriding test to prevent FTBS (cf. #733168)
# http://bugs.debian.org/733168
override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs
	rm -f  debian/glances/usr/share/doc/glances/COPYING
	rm -f  debian/glances/usr/share/doc/glances/AUTHORS
	rm -f  debian/glances/usr/share/doc/glances/NEWS
	rm -rf debian/glances/usr/share/doc/glances/glances.conf

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## glances 1.7.6

=== requirements.txt ===
psutil==2.0.0

=== debian/changelog ===
glances (1.7.6-1) unstable; urgency=medium

  * Depends on python-psutil >= 1.2.1
  * Add missing dependency python3-pkg-resources (Closes: #742291)
  * Imported Upstream version 1.7.6
  * Fixed HTML template deployment

 -- Geoffroy Youri Berret <efrim@azylum.org>  Wed, 26 Mar 2014 18:10:26 +0100

glances (1.7.4-1) unstable; urgency=medium

  * python3 conversion
  * Fixed executable issue (LP: #1275579)
  * Imported Upstream version 1.7.4
  * Handle html doc with doc-base
  * Update copyright

 -- Geoffroy Youri Berret <efrim@azylum.org>  Wed, 05 Feb 2014 20:05:51 +0100

=== debian/control ===
Source: glances
Section: utils
Priority: extra
Maintainer: Geoffroy Youri Berret <efrim@azylum.org>
Build-Depends: debhelper (>= 9), python3, python3-setuptools (>= 0.6), dh-python,
               python3-psutil (>=1.2.1)
Standards-Version: 3.9.5
X-Python3-Version: >= 3.3
Vcs-Git: git://git.kaliko.me/glances.git
Vcs-browser: http://git.kaliko.me/?p=glances.git
Homepage: http://nicolargo.github.com/glances/

Package: glances
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
    python3-psutil (>=1.2.1),
    python3-pkg-resources,
    adduser,
    lsb-base
Recommends: python3-jinja2 (>=2.0)
Description: CLI curses based monitoring tool
 Glances is a CLI curses based monitoring tool for GNU/Linux or BSD OS.
 Glances uses the PsUtil library to get information from your system.
 .
 It monitors CPU, load, memory, network bandwidth, disk I/O, disk use, process.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_clean:
 	rm -rf ./Glances.egg-info
@@ -14,6 +14,9 @@
 # Overriding test to prevent FTBS (cf. #733168)
 # http://bugs.debian.org/733168
 override_dh_auto_test:
+
+override_dh_install:
+	dh_install
 
 override_dh_installdocs:
 	dh_installdocs

## glances 2.1.1

=== requirements.txt ===
psutil==2.1.3

=== debian/changelog ===
glances (2.1.1-1) unstable; urgency=medium

  * New upstream release 2.1.1
  * Bumped Standards-Version to 3.9.6

 -- Rémi Verchère <rverchere@gmail.com>  Fri, 03 Oct 2014 21:03:41 +0200

glances (2.1-1) unstable; urgency=medium

  * New upstream release 2.1
  * Fixed lintian error regarding javascript sources

 -- Rémi Verchère <rverchere@gmail.com>  Sun, 28 Sep 2014 14:37:25 +0200

glances (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Add recommend on pysnmp, hddtemp, lm-sensors, bottle
  * Depends on python-psutil >= 2.0.0
  * Fixed lintian error regarding javascript sources
  * Adopt package. (Closes: #752175)

 -- Rémi Verchère <rverchere@gmail.com>  Wed, 02 Jul 2014 22:06:10 +0200

=== debian/control ===
Source: glances
Section: utils
Priority: extra
Maintainer: Rémi Verchère <rverchere@gmail.com>
Build-Depends: debhelper (>= 9), python3, python3-setuptools (>= 0.6), dh-python,
Standards-Version: 3.9.6
X-Python3-Version: >= 3.3
Vcs-Git: https://github.com/rverchere/debian-glances.git
Vcs-browser: https://github.com/rverchere/debian-glances
Homepage: http://nicolargo.github.com/glances/

Package: glances
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
    python3-pkg-resources,
    adduser,
    lsb-base
Recommends: python3-jinja2 (>=2.0),
    python3-pysnmp4,
    python3-bottle,
    hddtemp,
    lm-sensors
Description: CLI curses based monitoring tool
 Glances is a CLI curses based monitoring tool for GNU/Linux or BSD OS.
 Glances uses the PsUtil library to get information from your system.
 .
 It monitors CPU, load, memory, network bandwidth, disk I/O, disk use, process.

=== debian/watch ===
version=3
opts=filenamemangle=s/^.*v([\d\.]+)\.tar\.gz$/glances-$1.tar.gz/ \
http://github.com/nicolargo/glances/tags .*/v(\d.*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Fri, 23 Nov 2012 08:14:32 +0000

## glances 2.2

=== debian/changelog ===
glances (2.2-1) unstable; urgency=medium

  * New upstream release 2.2.
  * Closes: #772113

 -- Rémi Verchère <rverchere@gmail.com>  Sat, 20 Dec 2014 22:28:48 +0100

## glances 2.3

=== requirements.txt ===
psutil==2.2.0

=== debian/changelog ===
glances (2.3-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:05:55 +0000

glances (2.3-1) unstable; urgency=medium

  * New upstream release 2.3.
  * Description change
  * Update recommended packages

 -- Rémi Verchère <rverchere@gmail.com>  Sat, 07 Feb 2015 21:54:45 +0100

=== debian/control ===
Source: glances
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rémi Verchère <rverchere@gmail.com>
Build-Depends: debhelper (>= 9), python3, python3-setuptools (>= 0.6), dh-python,
Standards-Version: 3.9.6
X-Python3-Version: >= 3.3
Vcs-Git: https://github.com/rverchere/debian-glances.git
Vcs-browser: https://github.com/rverchere/debian-glances
Homepage: http://nicolargo.github.com/glances/

Package: glances
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
    python3-pkg-resources,
    adduser,
    lsb-base
Recommends: python3-pysnmp4,
    python3-bottle,
    python3-docker,
    python3-matplotlib,
    python3-netifaces,
    python3-influxdb,
    python3-pystache,
    hddtemp,
    lm-sensors
Description: Curses-based monitoring tool
 Glances is a curses-based monitoring tool for GNU/Linux or BSD OS.
 Glances uses the PsUtil library to get information from your system.
 .
 It monitors CPU, load, memory, network bandwidth, disk I/O, disk use, process.

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,9 @@
 # http://bugs.debian.org/733168
 override_dh_auto_test:
 
-override_dh_install:
-	dh_install
+override_dh_installdeb:
+	dh_installdeb
+	chmod -x debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/js/*.js
 
 override_dh_installdocs:
 	dh_installdocs

## glances 2.6.2

=== debian/changelog ===
glances (2.6.2-2) unstable; urgency=medium

  * debian/control
    + Add Breaks and Replaces field. (Closes: #826685)
  * debian/patches
    + Add reproducible-build.patch.
      + Make the build reproducible. (Closes: #827987)
        + Thanks to Chris Lamb for the patch!

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 07 Jun 2016 18:34:28 -0500

glances (2.6.2-1) unstable; urgency=medium

  [ Sebastien Badia ]
  * d/rules: Update comments according Tanguy review (thx!)
  * d/control: Bump Standards version to 3.9.8 (no changes)
  * d/copyright:
      Fix path (vendor/vendors)
      Rename expat to Expat for machine-readable things
  * Imported Upstream version 2.6.2

  [ Daniel Echeverry ]
  * Add expat license

 -- Sebastien Badia <seb@sebian.fr>  Fri, 20 May 2016 15:48:43 +0200

glances (2.6.1-1) unstable; urgency=medium

  [Sebastien Badia]
  * New upstream release
  * Update d/watch to version 4
  * d/control:
      Wrap-and-sort control file
      Bump Standards-Version to 3.9.7
  * d/links:
      Use Debian version of angularjs (fix lintian issue with gravatar)
  * d/patches: Remove 000_remove-minified-js.patch (merged upstream)

  [ Daniel Echeverry ]
  * Update doc-base to new doc package glances-doc
  * Update glances.manpages
  * debian/control
    + Add glances-doc package
    + Add python-sphinx in B-D
    + Change to python-psutil in B-D
  * debian/rules
    + Use sphinxdoc to build doc
  * debian/copyright
    + Add expat license
  * debian/patches
    + Add no_put_links_in_doc.diff
      + Remove external html resource to fix lintian warning
    + Add not_install_static_dir.patch
      + Not install static dir because install duplicate files

 -- Sebastien Badia <seb@sebian.fr>  Tue, 29 Mar 2016 01:35:51 +0200

glances (2.5.1-1) unstable; urgency=medium

  [ Daniel Echeverry ]
  * New maintainer. (Closes: #791432)
  * New upstream release. (Closes: #807052)
  * debian/control
    + Set myself as Maintainer
  * Rename install file to glances.install
  * Rename examples file to glances.examples
  * Rename manpages file to glances.manpages
  * debian/copyright
    + Remove i18n/de/LC_MESSAGES/glances.po
    + Remove glances/outputs/static/js/modernizr.custom.js
      + Because doesn't exist
  * Remove debian/missing-sources directory

  [ Sebastien Badia ]
  * debian/control
    + Update Vcs-* field (use collab-maint namespace)
    + Wrap and sort control file
    + Add myself to uploaders
  * d/copyright: Add Daniel and me to the copyright file
  * lintian
    + remove minified javascript files from source tarball
    + link angularjs and lodash to respective packages

 -- Sebastien Badia <seb@sebian.fr>  Fri, 05 Feb 2016 13:44:21 +0100

=== debian/control ===
Source: glances
Section: utils
Priority: extra
Maintainer: Daniel Echeverry <epsilon77@gmail.com>
Uploaders: Sebastien Badia <seb@sebian.fr>
Build-Depends: debhelper (>= 9),
               python-psutil,
               python-sphinx,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/glances.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/glances.git
Homepage: https://nicolargo.github.com/glances/
X-Python3-Version: >= 3.3

Package: glances
Architecture: all
Depends: adduser,
         libjs-angularjs,
         libjs-lodash,
         lsb-base,
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Recommends: hddtemp,
            lm-sensors,
            python3-bottle,
            python3-docker,
            python3-influxdb,
            python3-matplotlib,
            python3-netifaces,
            python3-pysnmp4,
            python3-pystache
Description: Curses-based monitoring tool
 Glances is a curses-based monitoring tool for GNU/Linux or BSD OS.
 Glances uses the PsUtil library to get information from your system.
 .
 It monitors CPU, load, memory, network bandwidth, disk I/O, disk use, process.

Package: glances-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: glances
Breaks: glances (<< 2.5.1-1)
Replaces: glances (<< 2.5.1-1)
Description: Documentation for glances Curses-based monitoring tool
 This package provides all information about glances and how to use it
 Glances is  a cross-platform curses-based monitoring tool which aims
 to present a maximum of information in a minimum of space, ideally to
 fit in a classical 80x24 terminal or higher to have additional information.
 Also work in client/server mode. Remote monitoring could be done via terminal
 or web interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export PYBUILD_NAME=glances

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

# Split package and documentation
override_dh_sphinxdoc:
	sphinx-build -b html -d debian/tmp/doctrees docs \
		debian/glances-doc/usr/share/doc/glances/html
	dh_sphinxdoc

# Split package and documentation
override_dh_auto_install:
	dh_auto_install --destdir $(CURDIR)/debian/glances

# Overriding test to prevent FTBS (cf. #733168) http://bugs.debian.org/733168
# disable tests as they require /etc/mtab and fail in chroots
override_dh_auto_test:

# Fix lintian warning (duplicates files Copying, News; and remove authors, glances.conf)
override_dh_installdocs:
	set -e && for docs in COPYING AUTHORS NEWS glances.conf; do \
                rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/$$docs ; \
        done
	dh_installdocs

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_clean:
	rm -rf ./Glances.egg-info
	dh_clean

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%glances-$1.tar.gz%" \
  https://github.com/nicolargo/glances/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## glances 2.7.1.1

=== requirements.txt ===
psutil==4.3.0

=== debian/changelog ===
glances (2.7.1.1-2) unstable; urgency=medium

  * Validate if the service is enabled in initscript
    to avoid upgrade error. (Closes: #848046)
    + Thanks to Ingo Saitz for the patch!

 -- Daniel Echeverry <epsilon77@gmail.com>  Tue, 03 Jan 2017 20:36:39 -0500

glances (2.7.1.1-1) unstable; urgency=medium

  [ Daniel Echeverry ]
  * New upstream version 2.7.1_1 (Closes: #842520)
  * Add source/lintian-overrides
    + False positive, the js file exists and it is included, this is not
      a minified JS but just one that contains long lines of HTML.
  * debian/patches
    + Refresh all patches.
    + Add use_js_included_in_debian.diff patch.
      + Fix index.html to use repo libraries instead embedded ones.
  * Update d/watch file.
  * debian/copyright
    + Add missing copyright holder.
    + Extend copyright holders years
  * debian/control
    + Set correctly lsb-base depends.
  * debian/glances.links
    + Update symbol links.
  * debian/rules
    + Remove embedded code copies

  [ Sebastien Badia ]
  * d/control
    + Update dependencies according new upstream release
    + Migrate uploader mail to my Debian email
  * d/compat: Bump to debhelper 10
  * d/install: Fix python-module-in-wrong-location lintian warning

 -- Daniel Echeverry <epsilon77@gmail.com>  Fri, 09 Dec 2016 15:57:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: utils
 Priority: extra
 Maintainer: Daniel Echeverry <epsilon77@gmail.com>
-Uploaders: Sebastien Badia <seb@sebian.fr>
-Build-Depends: debhelper (>= 9),
-               python-psutil,
-               python-sphinx,
+Uploaders: Sebastien Badia <sbadia@debian.org>
+Build-Depends: debhelper (>= 10),
+               python3-psutil,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
                python3-all,
                python3-setuptools
 Standards-Version: 3.9.8
@@ -19,7 +20,7 @@
 Depends: adduser,
          libjs-angularjs,
          libjs-lodash,
-         lsb-base,
+         lsb-base (>=3.0-6),
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,8 @@
 # Split package and documentation
 override_dh_auto_install:
 	dh_auto_install --destdir $(CURDIR)/debian/glances
+	# Remove embedded code copies
+	rm -rf $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/js/vendor.js
 
 # Overriding test to prevent FTBS (cf. #733168) http://bugs.debian.org/733168
 # disable tests as they require /etc/mtab and fail in chroots

## glances 2.10

=== requirements.txt ===
psutil==5.2.0

=== debian/changelog ===
glances (2.10-2) unstable; urgency=medium

  * debian/glances.links 
    + Fix broken symlinks (Closes: #872227)
  * debian/control
    + Bump Standard-Version to 4.1.0 (no changes needed)

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 23 Aug 2017 13:38:31 -0500

glances (2.10-1) unstable; urgency=medium

  [Daniel Echeverry]
  * New upstream release.
  * debian/patches
    + Remove use_js_included_in_debian.diff patch,
      upstream is not using it anymore
  * source/lintian-overrides
    + Add more files to lintian-overrides file,
      they are false positives.
    + The vendor.min.js isn't installed, is replaced
      with the repo javascript libraries
  * debian/rules
    + Remove embebbed javascript copies.
    + Remove images file because is installed in wrong path
  * debian/copyright
    + Extend copyright holders years
    + Update file field to correct name
  * debian/glances.install
    + Install images file in correct path
  * debian/glances.links
    + Remove links because they aren't necessary
    + Update angular.js link
    + Add links for the images in the correct path
  * Add glances.postrm script (Closes: #858336)

  [ Sebastien Badia ]
  * Refresh Debian patches according new upstream version
  * d/control:
    + Add a Suggests dependencies on doc package
    + Bump Standard-Version to 4.0.0 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Thu, 13 Jul 2017 18:25:06 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-sphinx-rtd-theme,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/glances.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/glances.git
 Homepage: https://nicolargo.github.com/glances/
@@ -33,6 +33,7 @@
             python3-netifaces,
             python3-pysnmp4,
             python3-pystache
+Suggests: glances-doc
 Description: Curses-based monitoring tool
  Glances is a curses-based monitoring tool for GNU/Linux or BSD OS.
  Glances uses the PsUtil library to get information from your system.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,9 @@
 override_dh_auto_install:
 	dh_auto_install --destdir $(CURDIR)/debian/glances
 	# Remove embedded code copies
-	rm -rf $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/js/vendor.js
+	rm -rf $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/js/vendor.min.js
+	rm -rf $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/images/glances.png
+	rm -rf $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/images/glances.png
 
 # Overriding test to prevent FTBS (cf. #733168) http://bugs.debian.org/733168
 # disable tests as they require /etc/mtab and fail in chroots

## glances 2.11.1

=== requirements.txt ===
psutil==5.3.0

=== debian/changelog ===
glances (2.11.1-3) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * debian/copyright:
    + Refer to the CC0 license file
    + Use HTTPS URIs
  * Bump Standards-Version to 4.1.3
  * debian/control: Use canonical Vcs-* URLs
  * Fixup debian/copyright

  [ Sebastien Badia ]
  * d/control: Migrate from alioth to salsa.d.o

 -- Sebastien Badia <sbadia@debian.org>  Wed, 07 Feb 2018 00:27:01 +0100

glances (2.11.1-2) unstable; urgency=medium

  * d/control
    + Bump to Standards-Version 4.1.2 (no changes needed)
    + Clean un-needed build-deps (and fixes upstream issue
      https://github.com/nicolargo/glances/issues/1198 )

 -- Sebastien Badia <sbadia@debian.org>  Tue, 12 Dec 2017 18:25:45 +0100

glances (2.11.1-1) unstable; urgency=medium

  * New upstream version 2.11.1
  * d/control:
    + Bump Standard-Version to 4.1.1 (no changes needed)
    + Priority extra is now replaced by optional
  * d/patches:
    + Re-order Debian patches
    + Disable nagging suggestion to upgrade using pip (Closes: #877127)

 -- Sebastien Badia <sbadia@debian.org>  Sat, 14 Oct 2017 18:56:16 +0200

glances (2.11-1) unstable; urgency=medium

  * New upstream version 2.11

 -- Sebastien Badia <sbadia@debian.org>  Sun, 27 Aug 2017 16:42:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: glances
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Daniel Echeverry <epsilon77@gmail.com>
 Uploaders: Sebastien Badia <sbadia@debian.org>
 Build-Depends: debhelper (>= 10),
@@ -9,17 +9,15 @@
                python3-sphinx-rtd-theme,
                python3-all,
                python3-setuptools
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/glances.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/glances.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/glances
+Vcs-Git: https://salsa.debian.org/debian/glances.git
 Homepage: https://nicolargo.github.com/glances/
 X-Python3-Version: >= 3.3
 
 Package: glances
 Architecture: all
 Depends: adduser,
-         libjs-angularjs,
-         libjs-lodash,
          lsb-base (>=3.0-6),
          python3-pkg-resources,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 override_dh_auto_install:
 	dh_auto_install --destdir $(CURDIR)/debian/glances
 	# Remove embedded code copies
-	rm -rf $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/js/vendor.min.js
 	rm -rf $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/images/glances.png
 	rm -rf $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/images/glances.png

=== debian/watch ===
version=4
opts=uversionmangle=s/_/./;s/RC/~rc/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/glances-$1\.tar\.gz/ \
  https://github.com/nicolargo/glances/tags .*/v?(\d\S+)\.tar\.gz

## glances 3.1.0

=== requirements.txt ===
psutil==5.4.8

=== debian/changelog ===
glances (3.1.0-1+deb10u1+rebuild) UNRELEASED; urgency=medium

  * update

 -- Daniel Echeverri <epsilon@debian.org>  Tue, 08 Dec 2020 20:04:49 +0800

glances (3.1.0-1+deb10u1) buster; urgency=medium

  * d/control: Update my lastname.
  * Now glances listen on 127.0.0.1. (Closes: #970812) 

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 25 Sep 2020 18:40:26 -0500

glances (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    + Change my email address.
    + Bump to Standards-Version 4.3.0 (no changes needed)
  * debian/patches
    + Refresh 004_disable-pypi.patch patch.
    + Refresh 005_fix-typo.patch patch.

 -- Daniel Echeverry <epsilon@debian.org>  Sun, 10 Feb 2019 11:47:50 -0500

glances (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches
    + Refresh 004_disable-pypi.patch patch.
  * debian/copyright
    + Refresh copyright file.
  * Update lintian-overrides file.
  * debian/rules
    + Avoid to install image to Python library path.
  * debian/glances.install
    + Install image in data Path instead lib path.
  * debian/glances.links
    + Symlink image from data path to lib path.

  [ Sebastien Badia ]
  * debian/copyright
    + Remove un-used paragraph.
  * debian/patches
    + Refresh according new upstream version.
    + docs: manpage - Fix spelling typo
  * debian/control
    + Bump to Standards-Version 4.2.1 (no changes needed)

  [Ondřej Nový]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs.

 -- Daniel Echeverry <epsilon77@gmail.com>  Sat, 20 Oct 2018 19:54:51 -0500

glances (2.11.1-6) unstable; urgency=medium

  * d/systemd: Fix systemd man documentation (Closes: #902910)
  * d/control:
    + Bump to Standards-Version 4.1.5 (no changes needed)
    + Wrap and sort control file
  * d/rules: Use already packaged font packages, remove embedded copies

 -- Sebastien Badia <sbadia@debian.org>  Sat, 28 Jul 2018 13:17:45 +0200

glances (2.11.1-5) unstable; urgency=medium

  [ Sebastien Badia ]
  *  Fix removal of /etc/default/glances (SysV)(Closes: #901878)

  [ Daniel Echeverry ]
  * Fix systemd service wrong URL. (Closes: #901908)
    + Thanks to Ulises Vitulli for the patch.

 -- Daniel Echeverry <epsilon77@gmail.com>  Mon, 25 Jun 2018 21:08:09 -0500

glances (2.11.1-4) unstable; urgency=medium

  [ Daniel Echeverry ]
  * debian/control
    + Add node-normalize.css in Depends field.
    + Add dh-python in B-D.
    + Change debhelper to 11 in B-D.
    + Bump Standards-Version to 4.1.4 (no changes).
  * debian/glances.links
    + Use normalize.css package instead to use embedded local copy.
  * debian/rules
    + Remove embedded local copy. (Closes: #898782)
  * debian/compat
    + Bump to debhelper 11.
  * Add glances.service systemd service
  * Remove glances.default file
  * debian/glances.init.
    Change script to remove use of $RUN variable and default file.

  [ Sebastien Badia ]
  * d/upstream: Added Upstream metadata
  * d/control:
    + Update compat version (allow this package to be backported to stretch)
    + Remove X-Python3-Version field
  * d/tests: Added a basic test suite (systemd + glances xml-rpc API)
  * d/links:
    + Use normalize.css package, and remove embedded copy
    + Added underscore and jquery deps and remove embedded copy
  * d/rules: Fix override_dh_sphinxdoc for 1.7.4

 -- Sebastien Badia <sbadia@debian.org>  Tue, 19 Jun 2018 11:13:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: glances
 Section: utils
 Priority: optional
-Maintainer: Daniel Echeverry <epsilon77@gmail.com>
+Maintainer: Daniel Echeverri <epsilon@debian.org>
 Uploaders: Sebastien Badia <sbadia@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
+               dh-python,
+               python3-all,
                python3-psutil,
+               python3-setuptools,
                python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-all,
-               python3-setuptools
-Standards-Version: 4.1.3
+               python3-sphinx-rtd-theme
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/debian/glances
 Vcs-Git: https://salsa.debian.org/debian/glances.git
 Homepage: https://nicolargo.github.com/glances/
-X-Python3-Version: >= 3.3
 
 Package: glances
 Architecture: all
 Depends: adduser,
          lsb-base (>=3.0-6),
+         node-normalize.css,
          python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends}
@@ -41,7 +42,13 @@
 Package: glances-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: fonts-font-awesome,
+         fonts-lato,
+         fonts-roboto-slab,
+         libjs-jquery,
+         libjs-underscore,
+         ${misc:Depends},
+         ${sphinxdoc:Depends}
 Suggests: glances
 Breaks: glances (<< 2.5.1-1)
 Replaces: glances (<< 2.5.1-1)

=== debian/rules ===
--- 
+++ 
@@ -10,16 +10,25 @@
 
 # Split package and documentation
 override_dh_sphinxdoc:
-	sphinx-build -b html -d debian/tmp/doctrees docs \
+	python3 -m sphinx -b html -d debian/tmp/doctrees docs \
 		debian/glances-doc/usr/share/doc/glances/html
-	dh_sphinxdoc
+	# Fonts
+	rm -rf $(CURDIR)/debian/glances-doc/usr/share/doc/glances/html/_static/fonts/Lato-*
+	rm -rf $(CURDIR)/debian/glances-doc/usr/share/doc/glances/html/_static/fonts/RobotoSlab-*
+	rm -rf $(CURDIR)/debian/glances-doc/usr/share/doc/glances/html/_static/fonts/fontawesome-*
 
 # Split package and documentation
 override_dh_auto_install:
 	dh_auto_install --destdir $(CURDIR)/debian/glances
 	# Remove embedded code copies
-	rm -rf $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/images/glances.png
-	rm -rf $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/images/glances.png
+	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/css/normalize.css
+	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/css/normalize.min.css
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/jquery.js
+	rm -f $(CURDIR)/debian/glances/usr/share/doc/glances/html/_static/underscore.js
+	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/images/glances.png
+	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/images/glances.png
+	rm -f $(CURDIR)/debian/glances/usr/lib/python*/dist-packages/glances/outputs/static/README.md
+	rm -f $(CURDIR)/debian/glances/usr/lib/python3/dist-packages/glances/outputs/static/public/9a360c92ce9bda60a8da6389741dcfbf.png
 
 # Overriding test to prevent FTBS (cf. #733168) http://bugs.debian.org/733168
 # disable tests as they require /etc/mtab and fail in chroots
